# Update Collection Experiences PUT /api/v1/collections/{id}/experiences/ Content-Type: application/json Update the ordered list of experiences in a collection. Replaces the entire list with the provided experiences. Only published experiences belonging to the same publication can be added. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/collections/experiences-update ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/collections/{id}/experiences/: put: operationId: experiences-update summary: Update Collection Experiences description: >- Update the ordered list of experiences in a collection. Replaces the entire list with the provided experiences. Only published experiences belonging to the same publication can be added. tags: - subpackage_collections parameters: - name: id in: path required: true schema: type: integer - name: pk in: path description: The ID of the collection required: true schema: type: integer responses: '200': description: Experiences updated content: application/json: schema: $ref: '#/components/schemas/CollectionDetail' '400': description: Invalid input content: application/json: schema: description: Any type '401': description: Unauthorized content: application/json: schema: description: Any type '403': description: Forbidden content: application/json: schema: description: Any type '404': description: Collection not found content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/CollectionExperiencesUpdate' components: schemas: CollectionExperiencesUpdate: type: object properties: experiences: type: array items: type: object additionalProperties: type: integer description: List of dicts with 'experience_id' and 'order' keys required: - experiences description: Serializer for updating ordered experiences in a collection title: CollectionExperiencesUpdate MinimalPublication: type: object properties: id: type: integer uid: type: string format: uuid name: type: string custom_url: type: string logo: type: - string - 'null' format: uri cover_image: type: - string - 'null' format: uri required: - id - uid - name - custom_url - logo - cover_image description: Minimal serializer for Publication, used in other serializers title: MinimalPublication SimpleUser: type: object properties: id: type: integer email: type: string format: email full_name: type: string username: type: string description: >- Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only. is_verified: type: boolean profile_picture: type: string format: uri description: |- Convert ImageFieldFile to URL string for JSON serialization. Args: obj: The model instance being serialized (typically IAMUser) Returns: str | None: The URL of the profile picture, or None if not available required: - id - email - full_name - username - is_verified - profile_picture description: >- Simple user serializer with profile picture from associated IAMUserDetail. Fields: - id, email, full_name, username, is_verified (from IAMUser) - profile_picture (from first related IAMUserDetail if present) title: SimpleUser GlobalVisibilityEnum: type: string enum: - public - private - team - org description: |- * `public` - Public * `private` - Private * `team` - Team * `org` - Organization title: GlobalVisibilityEnum CollectionDetail: type: object properties: id: type: integer uid: type: string format: uuid name: type: string description: Collection name (max 60 characters) description: type: string description: Collection description (max 500 characters) publication: $ref: '#/components/schemas/MinimalPublication' owner: $ref: '#/components/schemas/SimpleUser' tags: type: string visibility: $ref: '#/components/schemas/GlobalVisibilityEnum' ordered_experiences: type: string experience_count: type: integer metrics: type: string user_interaction_state: type: string created_at: type: string format: date-time updated_at: type: string format: date-time required: - id - uid - name - publication - owner - tags - ordered_experiences - experience_count - metrics - user_interaction_state - created_at - updated_at description: Detailed serializer for collection with ordered experiences title: CollectionDetail ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/collections/1/experiences/" payload = { "experiences": [{}, {}] } headers = {"Content-Type": "application/json"} response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/collections/1/experiences/'; const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"experiences":[{},{}]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/collections/1/experiences/" payload := strings.NewReader("{\n \"experiences\": [\n {},\n {}\n ]\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/collections/1/experiences/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"experiences\": [\n {},\n {}\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.example.com/api/v1/collections/1/experiences/") .header("Content-Type", "application/json") .body("{\n \"experiences\": [\n {},\n {}\n ]\n}") .asString(); ``` ```php request('PUT', 'https://api.example.com/api/v1/collections/1/experiences/', [ 'body' => '{ "experiences": [ {}, {} ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/collections/1/experiences/"); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"experiences\": [\n {},\n {}\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["experiences": [[], []]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/collections/1/experiences/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```